qt5-default отсутствует в Ubuntu 21.04

Я попытался установить qt5-default , но пакет не найден. Конечно, я прочитал этот вопрос , добавил юниверс в apt и выполнил обновление .

Я думаю, что qt5-default еще не в 21.04, как сказано здесь , так как я могу установить, мне это нужно.

2
задан 30 April 2021 в 20:58

1 ответ

Версия 21.04 основана на Debian bullseye, у которого нет пакета по умолчанию для qt5 в репозитории . Я сообщил об ошибке на панель запуска по поводу пропущенного пакета qt5-default .

Возможный способ - установить все зависимости пакета qt5-defalt с

sudo apt-get install qtbase5-dev qtchooser qt5-qmake qtbase5-dev-tools

, а затем попытаться скомпилировать приложение.


Но, согласно ИМО, лучший способ - установить Ubuntu 20.04 LTS, чтобы прожить еще 4 года без проблем, поскольку для этого нужен пакет qt5-default .

3
ответ дан 7 May 2021 в 17:41

Другие вопросы по тегам:

Похожие вопросы: